Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class AttributeSourceExpression

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.ExternalSourceExpression
                  |
                  +--oracle.AWXML.AttributeSourceExpression

public class AttributeSourceExpression
extends ExternalSourceExpression

Maps a column of a relational database to an `Attribute` or `AttributeProjection`. An `AttributeSourceExpression` is owned by a `DimensionMapGroup`.

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`AttributeSourceExpression(BaseObject input)` Creates an `AttributeSourceExpression` for the specified `DimensionMapGroup`.
`AttributeSourceExpression(BaseObject input, java.lang.String lang)` Creates an `AttributeSourceExpression` for the specified `DimensionMapGroup`.

Method Summary
`java.lang.String` | `Alter(AWConnection connection)` Applies changes to the textual attributes of the `AttributeSourceExpression`, such as its short and long names, in the analytic workspace to those currently specified by the `AttributeSourceExpression`.
`java.lang.String` | `Create(AWConnection connection)` Creates an `AttributeSourceExpression` in the current analytic workspace of the specified database connection.
`java.lang.String` | `Delete(AWConnection connection)` Removes the `AttributeSourceExpression` from the analytic workspace.
`Hierarchy` | `getHierarchy()` Gets the `Hierarchy` specified for the `AttributeSourceProjection`.
`java.lang.String` | `getLanguage()` Gets the language of the column values to which the `AttributeSourceExpression` is mapped.
`Level` | `getLevel()` Gets the `Level` specified for the `AttributeSourceProjection`.
`void` | `setLanguage(java.lang.String input)` Specifies the language of the column values to which the `AttributeSourceExpression` is mapped.
`void` | `setTargetObject(BaseObject input)` Specifies the `Attribute` or `AttributeProjection` as the target object to which the `AttributeSourceExpression` maps the relational source columns.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `AttributeSourceExpression`.

Methods inherited from class oracle.AWXML.ExternalSourceExpression
`addSourceColumn, CreateSourceColumn, getSourceColumns, getTargetObject, removeSourceColumn`

Methods inherited from class oracle.AWXML.BaseObject
`CreateAfter, CreateBefore, CreateFirst, DataRead, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeSourceExpression

    public AttributeSourceExpression(BaseObject input)

  Creates an `AttributeSourceExpression` for the specified `DimensionMapGroup`. An application should use the `CreateAttributeMap` method of the `DimensionMapGroup` rather than this constructor to create an `AttributeSourceExpression`.
  Parameters:
    `input` - The `DimensionMapGroup` that you want to own the `AttributeSourceExpression`.

### AttributeSourceExpression

    public AttributeSourceExpression(BaseObject input,
                                     java.lang.String lang)

  Creates an `AttributeSourceExpression` for the specified `DimensionMapGroup`. The `AttributeSourceExpression` is mapped to column values in the specified language. An application should use the `CreateAttributeMap(String lang)` method of the `DimensionMapGroup` rather than this constructor to create an `AttributeSourceExpression`.
  Parameters:
    `input` - The `DimensionMapGroup` to own the `AttributeSourceExpression`.
    `lang` - A `String` that identifies the language for the `AttributeSourceExpression`.

Method Detail

### setTargetObject

    public void setTargetObject(BaseObject input)

  Specifies the `Attribute` or `AttributeProjection` as the target object to which the `AttributeSourceExpression` maps the relational source columns.
  Overrides:
    setTargetObject in class ExternalSourceExpression
  Parameters:
    `input` - The `Attribute` or `AttributeProjection` to which you want to map the source columns.

### getLevel

    public Level getLevel()

  Gets the `Level` specified for the `AttributeSourceProjection`.
  Returns:
    The `Level` specified for the `AttributeSourceProjection`.

### getHierarchy

    public Hierarchy getHierarchy()

  Gets the `Hierarchy` specified for the `AttributeSourceProjection`.
  Returns:
    The `Hierarchy` specified for the `AttributeSourceProjection`.

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `AttributeSourceExpression`.
  Overrides:
    WriteToXML in class ExternalSourceExpression
  Returns:
    An XML `String` that represents the `AttributeSourceExpression`.

### Alter

    public java.lang.String Alter(AWConnection connection)

  Applies changes to the textual attributes of the `AttributeSourceExpression`, such as its short and long names, in the analytic workspace to those currently specified by the `AttributeSourceExpression`.
  Overrides:
    Alter in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `Success` if the method makes the changes.

### Create

    public java.lang.String Create(AWConnection connection)

  Creates an `AttributeSourceExpression` in the current analytic workspace of the specified database connection.
  Overrides:
    Create in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `Success` if the method creates the `AttributeSourceExpression`.

### Delete

    public java.lang.String Delete(AWConnection connection)

  Removes the `AttributeSourceExpression` from the analytic workspace.
  Overrides:
    Delete in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `Success` if the method deletes the `AttributeSourceExpression`.

### getLanguage

    public java.lang.String getLanguage()

  Gets the language of the column values to which the `AttributeSourceExpression` is mapped.
  Returns:
    A `String` containing the language of the column values to which the `AttributeSourceExpression` is mapped.

### setLanguage

    public void setLanguage(java.lang.String input)

  Specifies the language of the column values to which the `AttributeSourceExpression` is mapped.
  Parameters:
    `input` - A `String` that identifies the language of the values to which the `AttributeSourceExpression` is mapped.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.